version: "3"

services:

    builder:
      build: docker/builder
      container_name: tdg-builder
      volumes:
        - .:/app
        - ./docker/service:/service/
        - ~/.ssh/:/service/keys/:ro
      command: bash -c "dos2unix /service/build.sh > /service/logs.log 2>&1 && sh /service/build.sh > /service/logs.log 2>&1"
      depends_on:
        - tdg-php-1
        - tdg-php-2

    tdg-php-1:
      build: docker/php-fpm1
      container_name: tdg-php-1
      restart: always
      volumes:
        - ./apps/tdg1/:/app
      working_dir: /app

    tdg-php-2:
      build: docker/php-fpm2
      container_name: tdg-php-2
      restart: always
      volumes:
        - ./apps/tdg2/:/app
      working_dir: /app
